# Release Transaction

Release a transaction.

Endpoint: POST /api/v1/transactions/{id}/release
Version: 0.2.0
Security: bearerAuth

## Path parameters:

  - `id` (string, required)
    ID of the transaction to release.

## Header parameters:

  - `x-signature` (string)
    Signature of the body. Base64 encoded string. If the request is made programatically by an API user, signing of the request is required and is intended to protect you from malicious backends.
    Example: "SGVsbG8="

  - `x-timestamp` (integer)
    Timestamp of the signature. Integer. Specify an Epoch date. If the request is made programatically by an API user, the timestamp of the request is required and is intended to protect you from replay attacks.

## Request fields (application/json):

  - `body` (any, required) — one of (discriminator: type):
    - evm_transaction:
      - `release_type` (string, required)
        The type of the release.
        Enum: "cancel", "accelerate"
      - `signer_type` (string)
        Set who should sign the transaction.
        Enum: "initiator", "api_signer", "end_user", "multiple_signers", "api_user"
      - `note` (string)
        An optional transaction note.
      - `type` (string, required)
        The type of the transaction.
      - `fail_on_prediction_failure` (boolean)
        True if transaction creation should fail in case prediction failed, False otherwise.  In case simulation has failed upon continuation, the expected result of the transaction will be partial and policy will be applied on information that can be extracted statically from the transaction only. This might result in falling back to the default policy rule.
      - `gas` (any)
        Using the Custom Gas Request option, you specify gas_limit, as well as the following gas details: If you choose legacy (meaning a chain where gas price can be specified exactly), you must specify only the price of a gas unit. If you choose dynamic (meaning a chain where gas price can be determined dynamically), you must specify two additional values: max_priority_fee_per_gas, the maximum tip amount for mining your transaction max_fee_per_gas, the maximum amount you are willing to pay for the fee (ultimately, either you'll pay this amount, or less, depending on the network base fee).   Note that the Legacy gas price setting is allowed on dynamic (EIP-1559) networks as well.  You can get information on gas fees for different chains by examining the response to a call to [List Chains](https://documentation.fordefi.com/redoc/#operation/list_chains_api_v1_blockchains_get). More information is provided in [EVM chains and their fee mechanisms](https://docs.fordefi.com/docs/evm-chains#evm-chains-and-their-fee-mechanisms).
        - `gas_limit` (string)
          Specifies the maximum number of gas units to be used for mining the transaction. If omitted, Fordefi will automatically estimate the required gas and apply that value.
          Example: "1000000000000000000"
        - `type` (string, required)
        - `details` (any, required) — one of (discriminator: type):
          Using the Custom Gas Request option, you specify gas_limit, as well as the following gas details: If you choose legacy (meaning a chain where gas price can be specified exactly), you must specify only the price of a gas unit. If you choose dynamic (meaning a chain where gas price can be determined dynamically), you must specify two additional values: max_priority_fee_per_gas, the maximum tip amount for mining your transaction max_fee_per_gas, the maximum amount you are willing to pay for the fee (ultimately, either you'll pay this amount, or less, depending on the network base fee).   Note that the Legacy gas price setting is allowed on dynamic (EIP-1559) networks as well.  You can get information on gas fees for different chains by examining the response to a call to [List Chains](https://documentation.fordefi.com/redoc/#operation/list_chains_api_v1_blockchains_get). More information is provided in [EVM chains and their fee mechanisms](https://docs.fordefi.com/docs/evm-chains#evm-chains-and-their-fee-mechanisms).
          - dynamic:
            - `type` (string, required)
              The type of gas data.
            - `max_priority_fee_per_gas` (string, required)
              Max priority fee per gas.
              Example: "1000000000000000000"
            - `max_fee_per_gas` (string, required)
              Max fee per gas.
              Example: "1000000000000000000"
          - legacy:
            - `type` (string, required)
              The type of gas data.
            - `price` (string, required)
              The price of a gas unit.
              Example: "1000000000000000000"
    - utxo_transaction:
      - `release_type` (string, required)
        The type of the release.
        Enum: same as `release_type` in "evm_transaction" (2 values)
      - `signer_type` (string)
        Set who should sign the transaction.
        Enum: same as `signer_type` in "evm_transaction" (5 values)
      - `note` (string)
        An optional transaction note.
      - `type` (string, required)
        The type of the transaction.
      - `fee_per_byte` (string)
        An optional fee per byte.
        Example: "1000000000000000000"

## Response 201 fields (application/json):

  - `body` (any) — one of (discriminator: type):
    - aptos_message:
      - `id` (string, required)
        The unique identifier of the object in the Fordefi platform.
      - `created_at` (string, required)
        The date and time when the object was created.
      - `modified_at` (string, required)
        The date and time when the object was last modified. Any change to any field of the resource is considered a modification.
      - `managed_transaction_data` (object)
        Managed transaction data. Presented if the transaction was initiated from the Fordefi system itself, in contrast to unmanaged transactions (which are, for example, transfers of funds into a vault visible to Fordefi).
      - `managed_transaction_data.created_by` (any, required) — one of (discriminator: user_type):
        The user who created the transaction.
        - api_signer:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: "active", "onboarding_pending_code_generation", "onboarding_pending_activation", "deleted"
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: "active", "deleted"
          - `role` (string, required)
            The role of the user.
            Enum: "admin", "trader", "viewer"
        - end_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `external_id` (string, required)
            External id of the user.
            Example: "user|1234"
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: "active", "onboarding_pending_code_generation", "onboarding_pending_activation", "reset_device_pending_code_generation", "reset_device_pending_activation", "pending_approval", "deleted"
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - system:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name is Fordefi CARE
      - `managed_transaction_data.aborted_by` (any) — one of (discriminator: user_type):
        The user who aborted the transaction, null if the transaction was not aborted.
        - api_signer:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_signer" (4 values)
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - end_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `external_id` (string, required)
            External id of the user.
            Example: "user|1234"
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: same as `state` in "person" (7 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - system:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name is Fordefi CARE
      - `managed_transaction_data.finalized_for_signing_by` (any) — one of (discriminator: user_type):
        The user who finalized the transaction for signing, null if the transaction was not finalized for signing.
        - api_signer:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_signer" (4 values)
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - end_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `external_id` (string, required)
            External id of the user.
            Example: "user|1234"
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: same as `state` in "person" (7 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - system:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name is Fordefi CARE
      - `managed_transaction_data.device_signing_request` (object)
        Represents a device sign request for an action in the Foredefi platform
      - `managed_transaction_data.device_signing_request.created_by` (any, required) — one of (discriminator: user_type):
        The user who created the action.
        - api_signer:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_signer" (4 values)
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - end_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `external_id` (string, required)
            External id of the user.
            Example: "user|1234"
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: same as `state` in "person" (7 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - system:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name is Fordefi CARE
      - `managed_transaction_data.device_signing_request.signers` (array, required)
        A list of required signers. A signer can be a person or an API Signer.
      - `managed_transaction_data.device_signing_request.signers.user` (any, required) — one of (discriminator: user_type):
        Possible signer user
        - api_signer:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_signer" (4 values)
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - end_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `external_id` (string, required)
            External id of the user.
            Example: "user|1234"
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: same as `state` in "person" (7 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - system:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name is Fordefi CARE
      - `managed_transaction_data.device_signing_request.signers.modified_at` (string, required)
        When the signer received/signed the action
      - `managed_transaction_data.device_signing_request.signers.has_signed` (boolean, required)
        Whether the signer signed the action
      - `managed_transaction_data.approval_request` (object)
        The approval request.
      - `managed_transaction_data.approval_request.state` (string, required)
        The state of the approval request.
        Enum: "created", "approved", "insufficient_approvers", "auto_approved", "failed"
      - `managed_transaction_data.approval_request.required_groups` (integer, required)
        The number of required approval groups.
      - `managed_transaction_data.approval_request.approval_groups` (array, required)
        A list of the possible approvers from different groups.
      - `managed_transaction_data.approval_request.approval_groups.quorum_size` (integer, required)
        The number of approvers required to approve the transaction.
      - `managed_transaction_data.approval_request.approval_groups.approvers` (array, required)
        A list of the possible approvers.
      - `managed_transaction_data.approval_request.approval_groups.approvers.user` (any, required) — one of (discriminator: user_type):
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: same as `state` in "person" (7 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
      - `managed_transaction_data.approval_request.approval_groups.approvers.modified_at` (string, required)
        The date and time when this approval was modified.
      - `managed_transaction_data.approval_request.approval_groups.approvers.state` (string, required)
        The state of the approval request for this approver.
        Enum: "pending", "approved", "unauthorized", "not_participated"
      - `managed_transaction_data.approval_request.error_message` (string)
        The error message if the request failed.
      - `managed_transaction_data.aml_policy_match` (object)
        The AML policy match.
      - `managed_transaction_data.aml_policy_match.is_default` (boolean, required)
        True if this is the default rule, False otherwise.
      - `managed_transaction_data.aml_policy_match.rule_id` (string, required)
        The unique identifier of the rule.
      - `managed_transaction_data.aml_policy_match.rule_name` (string, required)
        The name of the rule.
      - `managed_transaction_data.aml_policy_match.action_type` (string, required)
        The action taken in the event of a policy match. Can be:  Allow automatically Block Require express approval Skip
        Enum: "allow", "block", "require_approval", "skip"
      - `managed_transaction_data.policy_match` (object)
        The policy match.
      - `managed_transaction_data.policy_match.is_default` (boolean, required)
        True if this is the default rule, False otherwise.
      - `managed_transaction_data.policy_match.rule_id` (string, required)
        The unique identifier of the rule.
      - `managed_transaction_data.policy_match.rule_name` (string, required)
        The name of the rule.
      - `managed_transaction_data.policy_match.action_type` (string, required)
        The action taken in the event of a policy match. Can be:  Allow automatically Block Require express approval
        Enum: "allow", "block", "require_approval"
      - `managed_transaction_data.signer_type` (string, required)
        The type of signer of the transaction. Can be one of the following: initiator: The creator of the transaction (default). api_signer: An API Signer - a service that you run on your own network or cloud environment. multiple_signers: An API Signer or a person that is part of the list of allowed signers.end_user: An end user - a signature by a mobile device with a third-party app that uses Fordefi's Mobile SDK. In the case of initiator, a notification is expected to be sent to the initiator's mobile device for approval of the transaction.
        Enum: same as `signer_type` in "evm_transaction" (5 values)
      - `managed_transaction_data.risks` (array, required)
        The list of risks associated with this transaction.
      - `managed_transaction_data.risks.type` (string, required)
        Fordefi has detected that one or more of the following risks are associated with the requested transaction:The user is transferring tokens to an ERC-20 contract (transfer_to_erc20_contract).The allowance transaction is requesting to approve a non-contract address (allowance_to_eoa).Allowance has been granted for an unlimited amount (unlimited_allowance).This bridge transaction sends funds to an address that is not the sender's (bridge_dest_differ_from_sender).This is the first time the organization is interacting with this address (organization_not_interacted_with_address).This is the first time this vault is interacting with this address (vault_not_interacted_with_address).Trying to interact with a contract that is not verified (contract_not_verified).Approve for all NFT in a collection (nft_approve_for_all).The simulation for this transaction failed (missing_simulation).The simulation for this transaction is unsupported for this chain (unsupported_simulation).
        Enum: "transfer_to_erc20_contract", "organization_not_interacted_with_address", "vault_not_interacted_with_address", "allowance_to_eoa", "unlimited_allowance", "contract_not_verified", "bridge_dest_differ_from_sender", "nft_approve_for_all", "missing_simulation", "unsupported_simulation", "post_conditions_allow_mode"
      - `managed_transaction_data.risks.severity` (string, required)
        The severity of the risk.
        Enum: "low", "medium", "high"
      - `managed_transaction_data.risks.title` (string, required)
        The title of the risk.
      - `managed_transaction_data.risks.description` (string, required)
        A detailed description of the risk.
      - `managed_transaction_data.error_pushing_to_blockchain_message` (string)
        The translated error message received from the node if it was rejected by it.
      - `managed_transaction_data.original_error_pushing_to_blockchain_message` (string)
        The error message received from the node if it was rejected by it.
      - `managed_transaction_data.vault` (object, required)
        The vault creating the transaction.
      - `managed_transaction_data.vault.id` (string, required)
        The unique identifier of the vault in the Fordefi platform.
      - `managed_transaction_data.vault.vault_group_ids` (array, required)
        The unique identifiers of the vault groups this vault belongs to.
      - `managed_transaction_data.vault.name` (string, required)
        The name of the vault.
      - `managed_transaction_data.vault.address` (string)
        The address of the vault.
      - `managed_transaction_data.vault.state` (string, required)
        The state of the vault.
        Enum: "active", "archived", "deleted", "pending", "aborted"
      - `managed_transaction_data.vault.type` (string, required)
        The vault type.
        Enum: "aptos", "arch", "black_box", "cosmos", "evm", "safe", "solana", "stacks", "starknet", "stellar", "sui", "ton", "tron", "utxo", "exchange"
      - `managed_transaction_data.vault.logo_url` (string)
        The logo of the vault. Supported only for exchange vaults.
      - `managed_transaction_data.vault.end_user` (object)
        The end user that owns this vault if it is in a Consumer Wallet organization. None otherwise.
      - `managed_transaction_data.vault.end_user.id` (string, required)
        The unique identifier of the user in the Fordefi platform.
      - `managed_transaction_data.vault.end_user.user_type` (string, required)
        The type of the user.
      - `managed_transaction_data.vault.end_user.external_id` (string, required)
        External id of the user.
        Example: "user|1234"
      - `managed_transaction_data.vault.end_user.state` (string, required)
        The state of the user.
        Enum: same as `state` in "api_user" (2 values)
      - `managed_transaction_data.vault.is_external_signer` (boolean)
        Whether the vault uses an externally imported key (external signer).
      - `managed_transaction_data.idempotence_id` (string)
        Optional idempotence ID of a transaction.
      - `managed_transaction_data.has_current_user_vault_permissions` (boolean, required)
        Does current user have permissions to the origin vault according to its vault group permissions.
      - `managed_transaction_data.batch_data` (object)
        Batch data if the transaction is part of a batch.
      - `managed_transaction_data.batch_data.batch_id` (string, required)
        The unique identifier of the batch.
      - `managed_transaction_data.batch_data.index_in_batch` (integer, required)
        Index of transaction in the batch.
      - `managed_transaction_data.batch_data.batch_size` (integer, required)
        The number of transactions in the batch.
      - `managed_transaction_data.batch_data.matched_policies` (array, required)
        List of policies matched by this message.
      - `managed_transaction_data.push_mode` (string)
        The push mode of the transaction when sending it to the node. It can be one of the following:auto: The transaction is pushed automatically by Fordefi. manual: The transaction should be pushed manually by the user using a 3rd party.deferred: The transaction is pushed by Fordefi after a certain time, if by that time it wasn't pushed manually by the client.
        Enum: "auto", "manual", "deferred"
      - `managed_transaction_data.last_pushed_at` (string)
        The last time the transaction was pushed to the node.
      - `managed_transaction_data.sign_mode` (string)
        The sign mode of the transaction determines when the transaction will transition to the signing phase. It can be one of the following:auto: The transaction will move to signing automatically after approval.triggered: The transaction will be in the waiting_for_signing_trigger state until "Trigger Transaction Signing" is called. Currently supported only for API Signer signer type.
        Enum: "auto", "triggered"
      - `managed_transaction_data.fee_paid_by` (any)
        Details of the vault that paid the fee for this transaction.
        - `type` (string, required)
          The type of fee payer.
        - `vault` (object, required)
          The vault that paid the fee for this transaction.
      - `managed_transaction_data.attested_payload_for_signing` (string)
        JWS attestation for the payload (external signer). Set after finalize-for-signing.
      - `signatures` (array, required)
        The transaction signatures.
      - `signatures.data` (string, required)
        Signature on the transaction, encoded in base64 format.
        Example: "SGVsbG8="
      - `signatures.signed_by` (any) — one of (discriminator: user_type):
        The user who created this signature, null if the signature wasn't created by a Fordefi user.
        - api_signer:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_signer" (4 values)
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: same as `state` in "person" (7 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
      - `note` (string)
        An optional transaction note.
      - `spam_state` (string)
        automatically_set if the transaction was automatically set as spam by Fordefi, manually_set if the transaction was manually set as spam by a user, and unset if the transaction was not set as spam.
        Enum: "unset", "manually_set", "automatically_set"
      - `direction` (string, required)
        The direction of the transaction.
        Enum: "outgoing", "incoming"
      - `signed_externally` (boolean)
        Whether the transaction was signed by an external user (for example in case of imported vault).
      - `interacted_vaults` (array, required)
        The vaults that interacted with the transaction.
      - `related_transactions` (array)
        The related transactions.
      - `related_transactions.type` (string, required)
        The type of the related transaction.
        Enum: "swap_fulfilled_by", "swap_fulfilling", "bridge_intent", "bridge_source", "bridge_destination", "stellar_claim_of", "stellar_claimed_by"
      - `related_transactions.hash` (string)
        The hash of the related transaction.
      - `related_transactions.id` (string)
        The id of the related transaction.
      - `related_transactions.chain` (any, required) — one of (discriminator: chain_type):
        The chain identifier of the related transaction.
        - aptos:
          - `chain_type` (string, required)
            The type of the chain.
          - `unique_id` (string, required)
            The type of the Aptos-based chain.
            Enum: "aptos_mainnet", "aptos_testnet", "aptos_movement_mainnet", "aptos_movement_testnet"
          - `name` (string, required)
            The full blockchain name.
          - `native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `logo_url` (string, required)
            The logo URL of the chain.
          - `is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `is_enabled` (boolean, required)
            Whether the chain is enabled.
        - arch:
          - `chain_type` (string, required)
            The type of the chain.
          - `unique_id` (string, required)
            The type of the Arch-based chain.
            Enum: "arch_mainnet", "arch_testnet"
          - `name` (string, required)
            The full blockchain name.
          - `native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `logo_url` (string, required)
            The logo URL of the chain.
          - `is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `is_enabled` (boolean, required)
            Whether the chain is enabled.
        - cosmos:
          - `chain_type` (string, required)
            The type of the chain.
          - `unique_id` (string, required)
            The Cosmos chain unique id.
            Enum: "cosmos_agoric-3", "cosmos_akashnet-2", "cosmos_archway-1", "cosmos_axelar-dojo-1", "cosmos_bbn-1", "cosmos_celestia", "cosmos_cosmoshub-4", "cosmos_dydx-mainnet-1", "cosmos_dydx-testnet-4", "cosmos_dymension_1100-1", "cosmos_injective-1", "cosmos_neutron-1", "cosmos_nillion-1", "cosmos_noble-1", "cosmos_osmosis-1", "cosmos_provider", "cosmos_ssc-1", "cosmos_pacific-1", "cosmos_stride-1", "cosmos_thorchain-1", "cosmos_mantra-1"
          - `name` (string, required)
            The full blockchain name.
          - `native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `logo_url` (string, required)
            The logo URL of the chain.
          - `is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `is_enabled` (boolean, required)
            Whether the chain is enabled.
          - `base_denom` (string, required)
            The base denom of the chain.
          - `bech32_prefix` (string, required)
            The bech32 prefix for addresses on the chain.
            Enum: "agoric", "akash", "archway", "axelar", "bbn", "celestia", "cosmos", "dydx", "dym", "inj", "neutron", "nillion", "noble", "osmo", "saga", "sei", "stride", "thor", "mantra"
        - evm:
          - `chain_type` (string, required)
            The type of the chain.
          - `named_chain_id` (string)
            The EVM chain name can be either one of those supported by the default chains below or a custom chain name if one was added to your organization. arbitrum_mainnetarbitrum_sepoliaavalanche_chainavalanche_fujibase_mainnetberachain_mainnetblast_mainnetbsc_mainnetcanto_mainnetclink_mainnetclink_testnetconflux_mainnetdymension_mainnetethereum_goerliethereum_holeskyethereum_mainnetethereum_sepoliafantom_mainnetflare_mainnetflare_testnetgnosis_mainnethypercore_mainnethyperevm_mainnetink_mainnetkava_mainnetkatana_mainnetlinea_mainnetoptimism_mainnetpharos_mainnetplasma_mainnetmanta_pacific_mainnetmantle_mainnetmerlin_mainnetmonad_mainnetpolygon_mainnetpolygon_mumbaipolygon_zkevm_mainnetreya_mainnetrootstock_mainnetscroll_mainnetsei_mainnetsonic_mainnettempo_mainnetunichain_mainnetxai_mainnetx_layer_mainnetzero_gravity_mainnetzeta_mainnetzklink_nova_mainnetzksync_era_mainnet
          - `chain_id` (integer, required)
            The EVM chain ID can be either one of those supported by the default chains below or a custom chain ID if one was added to your organization. 1=ethereum_mainnet5=ethereum_goerli10=optimism_mainnet14=flare_mainnet16=flare_testnet30=rootstock_mainnet56=bsc_mainnet100=gnosis_mainnet130=unichain_mainnet137=polygon_mainnet143=monad_mainnet146=sonic_mainnet169=manta_pacific_mainnet196=x_layer_mainnet250=fantom_mainnet324=zksync_era_mainnet999=hyperevm_mainnet1030=conflux_mainnet1100=dymension_mainnet1101=polygon_zkevm_mainnet1329=sei_mainnet1337=hypercore_mainnet1672=pharos_mainnet1729=reya_mainnet2222=kava_mainnet4200=merlin_mainnet4217=tempo_mainnet5000=mantle_mainnet7000=zeta_mainnet7700=canto_mainnet8453=base_mainnet8818=clink_mainnet8819=clink_testnet9745=plasma_mainnet16661=zero_gravity_mainnet17000=ethereum_holesky80001=polygon_mumbai80094=berachain_mainnet42161=arbitrum_mainnet43113=avalanche_fuji43114=avalanche_chain57073=ink_mainnet59144=linea_mainnet81457=blast_mainnet421614=arbitrum_sepolia534352=scroll_mainnet660279=xai_mainnet747474=katana_mainnet810180=zklink_nova_mainnet11155111=ethereum_sepolia
          - `unique_id` (string, required)
            The unique EVM chain ID. Can be either one of those supported by the default chains below or a custom numeric chain ID evm_ if one was added to your organization. "evm_1""evm_5""evm_10""evm_14""evm_16""evm_30""evm_56""evm_100""evm_130""evm_137""evm_143""evm_146""evm_169""evm_196""evm_250""evm_324""evm_999""evm_1030""evm_1100""evm_1101""evm_1329""evm_1337""evm_1672""evm_1729""evm_2222""evm_4200""evm_4217""evm_5000""evm_7000""evm_7700""evm_8453""evm_8818""evm_8819""evm_9745""evm_16661""evm_17000""evm_80001""evm_80094""evm_42161""evm_43113""evm_43114""evm_57073""evm_59144""evm_81457""evm_421614""evm_534352""evm_660279""evm_747474""evm_810180""evm_11155111""evm_ethereum_mainnet""evm_ethereum_goerli""evm_optimism_mainnet""evm_flare_mainnet""evm_flare_testnet""evm_rootstock_mainnet""evm_bsc_mainnet""evm_gnosis_mainnet""evm_unichain_mainnet""evm_polygon_mainnet""evm_monad_mainnet""evm_sonic_mainnet""evm_manta_pacific_mainnet""evm_x_layer_mainnet""evm_fantom_mainnet""evm_zksync_era_mainnet""evm_hyperevm_mainnet""evm_conflux_mainnet""evm_dymension_mainnet""evm_polygon_zkevm_mainnet""evm_sei_mainnet""evm_hypercore_mainnet""evm_pharos_mainnet""evm_reya_mainnet""evm_kava_mainnet""evm_merlin_mainnet""evm_tempo_mainnet""evm_mantle_mainnet""evm_zeta_mainnet""evm_canto_mainnet""evm_base_mainnet""evm_clink_mainnet""evm_clink_testnet""evm_plasma_mainnet""evm_zero_gravity_mainnet""evm_ethereum_holesky""evm_polygon_mumbai""evm_berachain_mainnet""evm_arbitrum_mainnet""evm_avalanche_fuji""evm_avalanche_chain""evm_ink_mainnet""evm_linea_mainnet""evm_blast_mainnet""evm_arbitrum_sepolia""evm_scroll_mainnet""evm_xai_mainnet""evm_katana_mainnet""evm_zklink_nova_mainnet""evm_ethereum_sepolia"
          - `name` (string, required)
            The full blockchain name.
          - `native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `logo_url` (string, required)
            The logo URL of the chain.
          - `is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `is_enabled` (boolean, required)
            Whether the chain is enabled.
          - `gas_type` (string, required)
            The type of gas used by the chain.
            Enum: "dynamic", "legacy"
          - `supports_mev_protected_node` (boolean)
            True if the chain supports MEV protected nodes, False otherwise.
          - `rpc_url` (string)
            The URL of the chain's RPC. Exists only for custom chains.
          - `source` (string, required)
            The source of the chain. Can be:default: Chains with built-in support on Fordefi's platform.custom: User-added chains with support on Fordefi's platform.
            Enum: "default", "custom"
          - `supports_7702` (boolean)
            True if the chain supports 7702, False otherwise.
        - exchange:
          - `chain_type` (string, required)
            The type of the chain.
          - `unique_id` (string, required)
            The type of the Exchange-based chain.
            Enum: "exchange_binance", "exchange_bybit", "exchange_coinbase_international", "exchange_coinbase_us", "exchange_okx", "exchange_kraken"
          - `name` (string, required)
            The full blockchain name.
          - `native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `logo_url` (string, required)
            The logo URL of the chain.
          - `is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `is_enabled` (boolean, required)
            Whether the chain is enabled.
        - solana:
          - `chain_type` (string, required)
            The type of the chain.
          - `unique_id` (string, required)
            The type of the Solana-based chain.
            Enum: "solana_mainnet", "solana_devnet", "solana_eclipse_mainnet", "solana_fogo_mainnet", "solana_fogo_testnet"
          - `name` (string, required)
            The full blockchain name.
          - `native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `logo_url` (string, required)
            The logo URL of the chain.
          - `is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `is_enabled` (boolean, required)
            Whether the chain is enabled.
        - stacks:
          - `chain_type` (string, required)
            The type of the chain.
          - `unique_id` (string, required)
            The type of the Stacks-based chain.
            Enum: "stacks_mainnet"
          - `name` (string, required)
            The full blockchain name.
          - `native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `logo_url` (string, required)
            The logo URL of the chain.
          - `is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `is_enabled` (boolean, required)
            Whether the chain is enabled.
        - starknet:
          - `chain_type` (string, required)
            The type of the chain.
          - `unique_id` (string, required)
            The type of the Starknet-based chain.
            Enum: "starknet_mainnet"
          - `name` (string, required)
            The full blockchain name.
          - `native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `logo_url` (string, required)
            The logo URL of the chain.
          - `is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `is_enabled` (boolean, required)
            Whether the chain is enabled.
        - stellar:
          - `chain_type` (string, required)
            The type of the chain.
          - `unique_id` (string, required)
            The type of the Stellar chain.
            Enum: "stellar_mainnet"
          - `name` (string, required)
            The full blockchain name.
          - `native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `logo_url` (string, required)
            The logo URL of the chain.
          - `is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `is_enabled` (boolean, required)
            Whether the chain is enabled.
        - sui:
          - `chain_type` (string, required)
            The type of the chain.
          - `unique_id` (string, required)
            The type of the Sui-based chain.
            Enum: "sui_mainnet", "sui_testnet"
          - `name` (string, required)
            The full blockchain name.
          - `native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `logo_url` (string, required)
            The logo URL of the chain.
          - `is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `is_enabled` (boolean, required)
            Whether the chain is enabled.
        - ton:
          - `chain_type` (string, required)
            The type of the chain.
          - `unique_id` (string, required)
            The type of the TON-based chain.
            Enum: "ton_mainnet"
          - `name` (string, required)
            The full blockchain name.
          - `native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `logo_url` (string, required)
            The logo URL of the chain.
          - `is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `is_enabled` (boolean, required)
            Whether the chain is enabled.
        - tron:
          - `chain_type` (string, required)
            The type of the chain.
          - `unique_id` (string, required)
            The type of the Tron-based chain.
            Enum: "tron_mainnet", "tron_shasta"
          - `name` (string, required)
            The full blockchain name.
          - `native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `logo_url` (string, required)
            The logo URL of the chain.
          - `is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `is_enabled` (boolean, required)
            Whether the chain is enabled.
        - utxo:
          - `chain_type` (string, required)
            The type of the chain.
          - `unique_id` (string, required)
            The UTXO chain unique ID.
            Enum: "bitcoin_mainnet", "bitcoin_testnet", "bitcoin_testnet_v4", "dogecoin_mainnet", "bitcoin_cash_mainnet", "pearl_testnet", "pearl_mainnet"
          - `name` (string, required)
            The full blockchain name.
          - `native_currency_symbol` (string, required)
            The native currency symbol.
            Example: "ETH"
          - `native_currency_name` (string, required)
            The native currency name.
            Example: "Ether"
          - `blockchain_explorer` (object)
            A blockchain explorer entry point.
          - `blockchain_explorer.transaction_url` (string, required)
            Example: "https://etherscan.io/tx/"
          - `blockchain_explorer.address_url` (string, required)
            Example: "https://etherscan.io/address/"
          - `blockchain_explorer.root_url` (string, required)
            Example: "https://etherscan.io/"
          - `blockchain_explorer.transaction_format_url` (string)
            Example: "https://etherscan.io/tx/%s"
          - `blockchain_explorer.address_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `blockchain_explorer.asset_format_url` (string)
            Example: "https://etherscan.io/address/%s"
          - `logo_url` (string, required)
            The logo URL of the chain.
          - `is_testnet` (boolean, required)
            Whether the chain is on a testnet.
          - `is_enabled` (boolean, required)
            Whether the chain is enabled.
      - `related_transactions.explorer_url` (string)
        The URL of the related transaction in a blockchain explorer.
      - `organization_id` (string, required)
        The organization that the transaction belongs to.
      - `state` (string, required)
        The state of the message.
        Enum: "waiting_for_approval", "waiting_for_signing_trigger", "approved", "finalized_for_signing", "signed", "sent_to_provider", "completed", "error_signing", "aborted", "error_submitting_to_provider", "dropped"
      - `state_changes` (array, required)
        The state changes of the message.
      - `state_changes.changed_at` (string, required)
        The date and time when the state was changed.
      - `state_changes.reason` (string)
        The reason for the state change.
        Enum: "failed_to_verify_signature", "original_transaction_was_completed", "stale_nonce", "quote_expired", "another_dlc_transaction_was_completed", "fee_limit_exceeded"
      - `state_changes.previous_state` (string)
        The previous state of the message.
        Enum: same as `state` in "aptos_message" (11 values)
      - `state_changes.new_state` (string, required)
        The new state of the message.
        Enum: same as `state` in "aptos_message" (11 values)
      - `type` (string, required)
        Aptos message type.
      - `aptos_message_type` (string, required)
        The type of the Aptos message.
        Enum: "personal_message_type"
      - `raw_original_message_to_sign` (string, required)
        The original message that was requested to be signed, encoded in base64.
        Example: "SGVsbG8="
      - `string_original_message_to_sign` (string, required)
        The original message that was requested to be signed.
      - `raw_full_message_to_sign` (string, required)
        The full message to be signed, encoded in base64.
        Example: "SGVsbG8="
      - `string_full_message_to_sign` (string, required)
        The full message to be signed.
      - `chain` (object, required)
        The details of the chain that this message is on.
      - `chain.chain_type` (string, required)
        The type of the chain.
      - `chain.unique_id` (string, required)
        The type of the Aptos-based chain.
        Enum: same as `unique_id` in "aptos" (4 values)
      - `chain.name` (string, required)
        The full blockchain name.
      - `chain.native_currency_symbol` (string, required)
        The native currency symbol.
        Example: "ETH"
      - `chain.native_currency_name` (string, required)
        The native currency name.
        Example: "Ether"
      - `chain.blockchain_explorer` (object)
        A blockchain explorer entry point.
      - `chain.blockchain_explorer.transaction_url` (string, required)
        Example: "https://etherscan.io/tx/"
      - `chain.blockchain_explorer.address_url` (string, required)
        Example: "https://etherscan.io/address/"
      - `chain.blockchain_explorer.root_url` (string, required)
        Example: "https://etherscan.io/"
      - `chain.blockchain_explorer.transaction_format_url` (string)
        Example: "https://etherscan.io/tx/%s"
      - `chain.blockchain_explorer.address_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.blockchain_explorer.asset_format_url` (string)
        Example: "https://etherscan.io/address/%s"
      - `chain.logo_url` (string, required)
        The logo URL of the chain.
      - `chain.is_testnet` (boolean, required)
        Whether the chain is on a testnet.
      - `chain.is_enabled` (boolean, required)
        Whether the chain is enabled.
      - `sender` (object, required)
        The sender of the message.
      - `sender.vault` (object)
        The vault corresponding to this address.
      - `sender.explorer_url` (string)
        The URL of a blockchain explorer that provides real-time information about the address.
      - `sender.contact` (object)
        The contact details of this address.
      - `sender.contact.id` (string, required)
        The unique identifier of the address book contact in the Fordefi platform.
      - `sender.contact.name` (string, required)
        The name of the contact.
      - `sender.contact.address_ref` (any, required) — one of (discriminator: chain_type):
        - aptos:
          - `chain_type` (string, required)
            The type of the chain.
          - `address` (string, required)
            The address on the Aptos chain.
            Example: "0x3300c18e7b931bdfc73dccf3e2d043ad1c9d120c777fff5aeeb9956224e5247a"
          - `chains` (array, required)
            The chains the contact belongs to.
          - `chains.chain_type` (string, required)
            The type of the chain.
          - `chains.unique_id` (string, required)
            The type of the Aptos-based chain.
            Enum: same as `unique_id` in "aptos" (4 values)
        - arch:
          - `chain_type` (string, required)
            The type of the chain.
          - `address` (string, required)
            The address on the Arch chain.
            Example: "4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA"
          - `chains` (array, required)
            The chains the contact belongs to.
          - `chains.chain_type` (string, required)
            The type of the chain.
          - `chains.unique_id` (string, required)
            The type of the Arch-based chain.
            Enum: same as `unique_id` in "arch" (2 values)
        - cosmos:
          - `chain_type` (string, required)
            The type of the chain.
          - `address` (string, required)
            The address on the cosmos chain.
            Example: "cosmos1tdk0g5d4ry9lq0erejttyufqcvwpqdj6tdql38"
          - `chain` (object, required)
            The chain the contact belongs to.
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The Cosmos chain unique id.
            Enum: same as `unique_id` in "cosmos" (21 values)
          - `memo` (string)
            Memo is an additional address feature used for identifying a recipient.
        - evm:
          - `chain_type` (string, required)
            The type of the chain.
          - `address` (string, required)
            The address of the contact.
            Example: "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
          - `chains` (array, required)
            The chains the contact belongs to.
          - `chains.chain_type` (string, required)
            The type of the chain.
          - `chains.named_chain_id` (string)
            The EVM chain name can be either one of those supported by the default chains below or a custom chain name if one was added to your organization. arbitrum_mainnetarbitrum_sepoliaavalanche_chainavalanche_fujibase_mainnetberachain_mainnetblast_mainnetbsc_mainnetcanto_mainnetclink_mainnetclink_testnetconflux_mainnetdymension_mainnetethereum_goerliethereum_holeskyethereum_mainnetethereum_sepoliafantom_mainnetflare_mainnetflare_testnetgnosis_mainnethypercore_mainnethyperevm_mainnetink_mainnetkava_mainnetkatana_mainnetlinea_mainnetoptimism_mainnetpharos_mainnetplasma_mainnetmanta_pacific_mainnetmantle_mainnetmerlin_mainnetmonad_mainnetpolygon_mainnetpolygon_mumbaipolygon_zkevm_mainnetreya_mainnetrootstock_mainnetscroll_mainnetsei_mainnetsonic_mainnettempo_mainnetunichain_mainnetxai_mainnetx_layer_mainnetzero_gravity_mainnetzeta_mainnetzklink_nova_mainnetzksync_era_mainnet
          - `chains.chain_id` (integer, required)
            The EVM chain ID can be either one of those supported by the default chains below or a custom chain ID if one was added to your organization. 1=ethereum_mainnet5=ethereum_goerli10=optimism_mainnet14=flare_mainnet16=flare_testnet30=rootstock_mainnet56=bsc_mainnet100=gnosis_mainnet130=unichain_mainnet137=polygon_mainnet143=monad_mainnet146=sonic_mainnet169=manta_pacific_mainnet196=x_layer_mainnet250=fantom_mainnet324=zksync_era_mainnet999=hyperevm_mainnet1030=conflux_mainnet1100=dymension_mainnet1101=polygon_zkevm_mainnet1329=sei_mainnet1337=hypercore_mainnet1672=pharos_mainnet1729=reya_mainnet2222=kava_mainnet4200=merlin_mainnet4217=tempo_mainnet5000=mantle_mainnet7000=zeta_mainnet7700=canto_mainnet8453=base_mainnet8818=clink_mainnet8819=clink_testnet9745=plasma_mainnet16661=zero_gravity_mainnet17000=ethereum_holesky80001=polygon_mumbai80094=berachain_mainnet42161=arbitrum_mainnet43113=avalanche_fuji43114=avalanche_chain57073=ink_mainnet59144=linea_mainnet81457=blast_mainnet421614=arbitrum_sepolia534352=scroll_mainnet660279=xai_mainnet747474=katana_mainnet810180=zklink_nova_mainnet11155111=ethereum_sepolia
          - `chains.unique_id` (string, required)
            The unique EVM chain ID. Can be either one of those supported by the default chains below or a custom numeric chain ID evm_ if one was added to your organization. "evm_1""evm_5""evm_10""evm_14""evm_16""evm_30""evm_56""evm_100""evm_130""evm_137""evm_143""evm_146""evm_169""evm_196""evm_250""evm_324""evm_999""evm_1030""evm_1100""evm_1101""evm_1329""evm_1337""evm_1672""evm_1729""evm_2222""evm_4200""evm_4217""evm_5000""evm_7000""evm_7700""evm_8453""evm_8818""evm_8819""evm_9745""evm_16661""evm_17000""evm_80001""evm_80094""evm_42161""evm_43113""evm_43114""evm_57073""evm_59144""evm_81457""evm_421614""evm_534352""evm_660279""evm_747474""evm_810180""evm_11155111""evm_ethereum_mainnet""evm_ethereum_goerli""evm_optimism_mainnet""evm_flare_mainnet""evm_flare_testnet""evm_rootstock_mainnet""evm_bsc_mainnet""evm_gnosis_mainnet""evm_unichain_mainnet""evm_polygon_mainnet""evm_monad_mainnet""evm_sonic_mainnet""evm_manta_pacific_mainnet""evm_x_layer_mainnet""evm_fantom_mainnet""evm_zksync_era_mainnet""evm_hyperevm_mainnet""evm_conflux_mainnet""evm_dymension_mainnet""evm_polygon_zkevm_mainnet""evm_sei_mainnet""evm_hypercore_mainnet""evm_pharos_mainnet""evm_reya_mainnet""evm_kava_mainnet""evm_merlin_mainnet""evm_tempo_mainnet""evm_mantle_mainnet""evm_zeta_mainnet""evm_canto_mainnet""evm_base_mainnet""evm_clink_mainnet""evm_clink_testnet""evm_plasma_mainnet""evm_zero_gravity_mainnet""evm_ethereum_holesky""evm_polygon_mumbai""evm_berachain_mainnet""evm_arbitrum_mainnet""evm_avalanche_fuji""evm_avalanche_chain""evm_ink_mainnet""evm_linea_mainnet""evm_blast_mainnet""evm_arbitrum_sepolia""evm_scroll_mainnet""evm_xai_mainnet""evm_katana_mainnet""evm_zklink_nova_mainnet""evm_ethereum_sepolia"
        - solana:
          - `chain_type` (string, required)
            The type of the chain.
          - `address` (string, required)
            The address on the Solana chain.
            Example: "4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA"
          - `chains` (array, required)
            The chains the contact belongs to.
          - `chains.chain_type` (string, required)
            The type of the chain.
          - `chains.unique_id` (string, required)
            The type of the Solana-based chain.
            Enum: same as `unique_id` in "solana" (5 values)
        - stacks:
          - `chain_type` (string, required)
            The type of the chain.
          - `address` (string, required)
            The address on the Stacks chain.
            Example: "SP3J4NWQXC312DK0GXVRZKSRFBZG8S5FG1D2160E9"
          - `chains` (array, required)
            The chains the contact belongs to.
          - `chains.chain_type` (string, required)
            The type of the chain.
          - `chains.unique_id` (string, required)
            The type of the Stacks-based chain.
            Enum: same as `unique_id` in "stacks" (1 values)
          - `memo` (string)
            Memo is an additional address feature used for identifying a recipient.
        - starknet:
          - `chain_type` (string, required)
            The type of the chain.
          - `address` (string, required)
            The address on the Starknet chain.
            Example: "0x0448f450e64B50dDF49e9F95C5b63a15cD21E21a39cA2D45628d9E5B27e5e1D8"
          - `chains` (array, required)
            The chains the contact belongs to.
          - `chains.chain_type` (string, required)
            The type of the chain.
          - `chains.unique_id` (string, required)
            The type of the Starknet-based chain.
            Enum: same as `unique_id` in "starknet" (1 values)
        - stellar:
          - `chain_type` (string, required)
            The type of the chain.
          - `address` (string, required)
            The address on the Stellar chain.
            Example: "GBRPYHIL2CI3FNQ4BXLFMNDLFJHO7W3B6FSHLTAVM2A4P45SHO4ZB7I2"
          - `chains` (array, required)
            The chains the contact belongs to.
          - `chains.chain_type` (string, required)
            The type of the chain.
          - `chains.unique_id` (string, required)
            The type of the Stellar chain.
            Enum: same as `unique_id` in "stellar" (1 values)
          - `memo` (string)
            Memo is an additional address feature used for identifying a recipient.
        - sui:
          - `chain_type` (string, required)
            The type of the chain.
          - `address` (string, required)
            The address on the Sui chain.
            Example: "0x3300c18e7b931bdfc73dccf3e2d043ad1c9d120c777fff5aeeb9956224e5247a"
          - `chains` (array, required)
            The chains the contact belongs to.
          - `chains.chain_type` (string, required)
            The type of the chain.
          - `chains.unique_id` (string, required)
            The type of the Sui-based chain.
            Enum: same as `unique_id` in "sui" (2 values)
        - ton:
          - `chain_type` (string, required)
            The type of the chain.
          - `address` (string, required)
            The address on the TON chain.
          - `chains` (array, required)
            The chains the contact belongs to.
          - `chains.chain_type` (string, required)
            The type of the chain.
          - `chains.unique_id` (string, required)
            The type of the TON-based chain.
            Enum: same as `unique_id` in "ton" (1 values)
          - `comment` (string)
            Comment is an additional address feature used for identifying a recipient.
        - tron:
          - `chain_type` (string, required)
            The type of the chain.
          - `address` (string, required)
            The address on the TRON chain.
            Example: "TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW"
          - `chains` (array, required)
            The chains the contact belongs to.
          - `chains.chain_type` (string, required)
            The type of the chain.
          - `chains.unique_id` (string, required)
            The type of the Tron-based chain.
            Enum: same as `unique_id` in "tron" (2 values)
          - `memo` (string)
            Memo is an additional address feature used for identifying a recipient.
        - utxo:
          - `chain_type` (string, required)
            The type of the chain.
          - `address` (string, required)
            The address on the utxo chain.
            Example: "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq"
          - `chain` (object, required)
            The chain the contact belongs to.
          - `chain.chain_type` (string, required)
            The type of the chain.
          - `chain.unique_id` (string, required)
            The UTXO chain unique ID.
            Enum: same as `unique_id` in "utxo" (7 values)
      - `sender.type` (string, required)
      - `sender.address` (string, required)
        The Aptos address represented in hex format.
        Example: "0x3300c18e7b931bdfc73dccf3e2d043ad1c9d120c777fff5aeeb9956224e5247a"
    - aptos_transaction:
      - `id` (string, required)
        The unique identifier of the object in the Fordefi platform.
      - `created_at` (string, required)
        The date and time when the object was created.
      - `modified_at` (string, required)
        The date and time when the object was last modified. Any change to any field of the resource is considered a modification.
      - `managed_transaction_data` (object)
        Managed transaction data. Presented if the transaction was initiated from the Fordefi system itself, in contrast to unmanaged transactions (which are, for example, transfers of funds into a vault visible to Fordefi).
      - `managed_transaction_data.created_by` (any, required) — one of (discriminator: user_type):
        The user who created the transaction.
        - api_signer:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_signer" (4 values)
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - end_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `external_id` (string, required)
            External id of the user.
            Example: "user|1234"
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: same as `state` in "person" (7 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - system:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name is Fordefi CARE
      - `managed_transaction_data.aborted_by` (any) — one of (discriminator: user_type):
        The user who aborted the transaction, null if the transaction was not aborted.
        - api_signer:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_signer" (4 values)
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - end_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `external_id` (string, required)
            External id of the user.
            Example: "user|1234"
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: same as `state` in "person" (7 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - system:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name is Fordefi CARE
      - `managed_transaction_data.finalized_for_signing_by` (any) — one of (discriminator: user_type):
        The user who finalized the transaction for signing, null if the transaction was not finalized for signing.
        - api_signer:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_signer" (4 values)
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - end_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `external_id` (string, required)
            External id of the user.
            Example: "user|1234"
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: same as `state` in "person" (7 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - system:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name is Fordefi CARE
      - `managed_transaction_data.device_signing_request` (object)
        Represents a device sign request for an action in the Foredefi platform
      - `managed_transaction_data.device_signing_request.created_by` (any, required) — one of (discriminator: user_type):
        The user who created the action.
        - api_signer:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_signer" (4 values)
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - end_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `external_id` (string, required)
            External id of the user.
            Example: "user|1234"
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: same as `state` in "person" (7 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - system:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name is Fordefi CARE
      - `managed_transaction_data.device_signing_request.signers` (array, required)
        A list of required signers. A signer can be a person or an API Signer.
      - `managed_transaction_data.device_signing_request.signers.user` (any, required) — one of (discriminator: user_type):
        Possible signer user
        - api_signer:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_signer" (4 values)
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - end_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `external_id` (string, required)
            External id of the user.
            Example: "user|1234"
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: same as `state` in "person" (7 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - system:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name is Fordefi CARE
      - `managed_transaction_data.device_signing_request.signers.modified_at` (string, required)
        When the signer received/signed the action
      - `managed_transaction_data.device_signing_request.signers.has_signed` (boolean, required)
        Whether the signer signed the action
      - `managed_transaction_data.approval_request` (object)
        The approval request.
      - `managed_transaction_data.approval_request.state` (string, required)
        The state of the approval request.
        Enum: same as `managed_transaction_data.approval_request.state` in "aptos_message" (5 values)
      - `managed_transaction_data.approval_request.required_groups` (integer, required)
        The number of required approval groups.
      - `managed_transaction_data.approval_request.approval_groups` (array, required)
        A list of the possible approvers from different groups.
      - `managed_transaction_data.approval_request.approval_groups.quorum_size` (integer, required)
        The number of approvers required to approve the transaction.
      - `managed_transaction_data.approval_request.approval_groups.approvers` (array, required)
        A list of the possible approvers.
      - `managed_transaction_data.approval_request.approval_groups.approvers.user` (any, required) — one of (discriminator: user_type):
        - api_user:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of the user.
          - `name` (string, required)
            The name of the user.
          - `state` (string, required)
            The state of the user.
            Enum: same as `state` in "api_user" (2 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
        - person:
          - `id` (string, required)
            The unique identifier of the user in the Fordefi platform.
          - `user_type` (string, required)
            The type of user. Can be a person, or (in programmatic scenarios) an API user or API Signer.
          - `name` (string)
            The name of the user.
            Example: "John Doe"
          - `email` (string, required)
            The email of the user.
          - `state` (string, required)
            The state of the user in the organization.
            Enum: same as `state` in "person" (7 values)
          - `role` (string, required)
            The role of the user.
            Enum: same as `role` in "api_user" (3 values)
      - `managed_transaction_data.approval_request.approval_groups.approvers.modified_at` (string, required)
        The date and time when this approval was modified.
      - `managed_transaction_data.approval_request.approval_groups.approvers.state` (string, required)
        The state of the approval request for this approver.
        Enum: same as `managed_transaction_data.approval_request.approval_groups.approvers.state` in "aptos_message" (4 values)
      - `managed_transaction_data.approval_request.error_message` (string)
        The error message if the request failed.
      - `managed_transaction_data.aml_policy_match` (object)
        The AML policy match.
      - `managed_transaction_data.aml_policy_match.is_default` (boolean, required)
        True if this is the default rule, False otherwise.
      - `managed_transaction_data.aml_policy_match.rule_id` (string, required)
        The unique identifier of the rule.
      - `managed_transaction_data.aml_policy_match.rule_name` (string, required)
        The name of the rule.
      - `managed_transaction_data.aml_policy_match.action_type` (string, required)
        The action taken in the event of a policy match. Can be:  Allow automatically Block Require express approval Skip
        Enum: same as `managed_transaction_data.aml_policy_match.action_type` in "aptos_message" (4 values)
      - `managed_transaction_data.policy_match` (object)
        The policy match.
      - `managed_transaction_data.policy_match.is_default` (boolean, required)
        True if this is the default rule, False otherwise.
      - `managed_transaction_data.policy_match.rule_id` (string, required)
        The unique identifier of the rule.
      - `managed_transaction_data.policy_match.rule_name` (string, required)
        The name of the rule.
      - `managed_transaction_data.policy_match.action_type` (string, required)
        The action taken in the event of a policy match. Can be:  Allow automatically Block Require express approval
        Enum: same as `managed_transaction_data.policy_match.action_type` in "aptos_message" (3 values)
      - `managed_transaction_data.signer_type` (string, required)
        The type of signer of the transaction. Can be one of the following: initiator: The creator of the transaction (default). api_signer: An API Signer - a service that you run on your own network or cloud environment. multiple_signers: An API Signer or a person that is part of the list of allowed signers.end_user: An end user - a signature by a mobile device with a third-party app that uses Fordefi's Mobile SDK. In the case of initiator, a notification is expected to be sent to the initiator's mobile device for approval of the transaction.
        Enum: same as `signer_type` in "evm_transaction" (5 values)
      - `managed_transaction_data.risks` (array, required)
        The list of risks associated with this transaction.
      - `managed_transaction_data.risks.type` (string, required)
        Fordefi has detected that one or more of the following risks are associated with the requested transaction:The user is transferring tokens to an ERC-20 contract (transfer_to_erc20_contract).The allowance transaction is requesting to approve a non-contract address (allowance_to_eoa).Allowance has been granted for an unlimited amount (unlimited_allowance).This bridge transaction sends funds to an address that is not the sender's (bridge_dest_differ_from_sender).This is the first time the organization is interacting with this address (organization_not_interacted_with_address).This is the first time this vault is interacting with this address (vault_not_interacted_with_address).Trying to interact with a contract that is not verified (contract_not_verified).Approve for all NFT in a collection (nft_approve_for_all).The simulation for this transaction failed (missing_simulation).The simulation for this transaction is unsupported for this chain (unsupported_simulation).
        Enum: same as `managed_transaction_data.risks.type` in "aptos_message" (11 values)
      - `managed_transaction_data.risks.severity` (string, required)
        The severity of the risk.
        Enum: same as `managed_transaction_data.risks.severity` in "aptos_message" (3 values)
      - `managed_transaction_data.risks.title` (string, required)
        The title of the risk.
      - `managed_transaction_data.risks.description` (string, required)
        A detailed description of the risk.
      - `managed_transaction_data.error_pushing_to_blockchain_message` (string)
        The translated error message received from the node if it was rejected by it.
      - `managed_transaction_data.original_error_pushing_to_blockchain_message` (string)
        The error message received from the node if it was rejected by it.
      - `managed_transaction_data.vault` (object, required)
        The vault creating the transaction.
      - `managed_transaction_data.vault.id` (string, required)
        The unique identifier of the vault in the Fordefi platform.
      - `managed_transaction_data.vault.vault_group_ids` (array, required)
        The unique identifiers of the vault groups this vault belongs to.
      - `managed_transaction_data.vault.name` (string, required)
        The name of the vault.
      - `managed_transaction_data.vault.address` (string)
        The address of the vault.
      - `managed_transaction_data.vault.state` (string, required)
        The state of the vault.
        Enum: same as `managed_transaction_data.vault.state` in "aptos_message" (5 values)
      - `managed_transaction_data.vault.type` (string, required)
        The vault type.
        Enum: same as `managed_transaction_data.vault.type` in "aptos_message" (15 values)
      - `managed_transaction_data.vault.logo_url` (string)
        The logo of the vault. Supported only for exchange vaults.
      - `managed_transaction_data.vault.end_user` (object)
        The end user that owns this vault if it is in a Consumer Wallet organization. None otherwise.
      - `managed_transaction_data.vault.end_user.id` (string, required)
        The unique identifier of the user in the Fordefi platform.
      - `managed_transaction_data.vault.end_user.user_type` (string, required)
        The type of the user.
      - `managed_transaction_data.vault.end_user.external_id` (string, required)
        External id of the user.
        Example: "user|1234"
      - `managed_transaction_data.vault.end_user.state` (string, required)
        The state of the user.
        Enum: same as `state` in "api_user" (2 values)
      - `managed_transaction_data.vault.is_external_signer` (boolean)
        Whether the vault uses an externally imported key (external signer).
      - `managed_transaction_data.idempotence_id` (string)
        Optional idempotence ID of a transaction.
      - `managed_transaction_data.has_current_user_vault_permissions` (boolean, required)
        Does current user have permissions to the origin vault according to its vault group permissions.
      - `managed_transaction_data.batch_data` (object)
[...]
